5.2.0-git
04/25/2014

[#10364] Vacation email list separation issue with commas
Summary Vacation email list separation issue with commas
Queue Ingo
Queue Version 2.0.2
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester it (at) wenn (dot) com
Created 07/21/2011 (1009 days ago)
Due
Updated 07/30/2011 (1000 days ago)
Assigned 07/21/2011 (1009 days ago)
Resolved
Milestone
Patch No

History
07/30/2011 12:03:26 PM Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
07/21/2011 03:49:24 PM it (at) wenn (dot) com Comment #6 Reply to this comment
You are supposed to enter email addresses each on a separate line. 
This should be clear from the address fields being textareas. But a 
patch to add some addtional comments to those fields would be helpful.
supposed != users acualy do

you/i know this but not all users read help files or even follow what 
they say, unforunatly this is what we have to deal with

either comments or say the patch I supplied would work better i say to 
take the dumb factor out
07/21/2011 03:46:03 PM Jan Schneider Comment #5 Reply to this comment
You are supposed to enter email addresses each on a separate line. 
This should be clear from the address fields being textareas. But a 
patch to add some addtional comments to those fields would be helpful.
07/21/2011 03:29:33 PM it (at) wenn (dot) com Comment #4 Reply to this comment
What is "the system"? I.e. where do you see broken behaviour?
Sieve output driver.

If you enter (jon@abcd.com,steve@abcd.com' it will go like that into 
the seive vacation driver as "jon@abcd.com,steve@abcd.com" instead of 
"jon@abcd.com","steve@abcd.com"


The patch ive entered overall fixes the issue on entering the email 
addresses by splitting it out onto new lines incase the user puts a 
comma or semicolon.
07/21/2011 03:25:41 PM Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
What is "the system"? I.e. where do you see broken behaviour?
07/21/2011 10:12:30 AM it (at) wenn (dot) com Comment #2
New Attachment: vacation.patch Download
Reply to this comment

[Show Quoted Text - 13 lines]
07/21/2011 10:00:49 AM it (at) wenn (dot) com Comment #1
State ⇒ Unconfirmed
Patch ⇒ Yes
Milestone ⇒
Queue ⇒ Ingo
Summary ⇒ Vacation email list separation issue with commas
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
If a user entered their email addresses into the vacation filter with 
commas separating them but without a space, the system considered this 
all one email address.
If a user puts a comma and a space the system splits the email 
addresses up but the comma then is added to the end of the email 
address it was directly after.

Users have the habit to use commas so it would be prudent to try and 
detect several situations where a comma and semicolon is used as a 
separator with/without a space pre/post.
On reading in all the email addresses, reformatting them onto separate 
lines after save could also aid readability for the user.